Bug 591042 - ddrescue-1.16 is available
Summary: ddrescue-1.16 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ddrescue
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 10:05 UTC by Upstream Release Monitoring
Modified: 2012-08-21 18:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-20 10:53:23 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2010-05-11 10:05:38 UTC
Latest upstream release: 1.12
Current version in Fedora Rawhide: 1.8
URL: http://ftp.gnu.org/gnu/ddrescue

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 1 acount closed by user 2010-05-11 10:49:55 UTC
2010-04-06  Antonio Diaz Diaz  <ant_diaz@teleline.es>

	* Version 1.12 released.
	* main.cc: Outfile is now created with mode 0666 if umask allows it.
	* main.cc: New constant "o_binary".
	* Makefile.in: Added quotes to directory names.
	* Makefile.in: Added "--name" option to help2man invocation.
	* testsuite/check.sh: Use "test1" instead of "COPYING" for testing.
	* Use "time_t" instead of "long" for time variables.

2009-07-10  Antonio Diaz Diaz  <ant_diaz@teleline.es>

	* Version 1.11 released.
	* logbook.cc (update_logfile): Ask user in case of write error.
	* rescuebook.cc (split_errors): Modified the split threshold.
	* rescuebook.cc (copy_and_update): Verify after every read error
	  that the input file does still exist.
	* ddrescue.cc (Rescuebook::show_status): Show the time elapsed
	  from last successful read.
	* ddrescue.cc (set_signals): Ignore SIGUSR1 and SIGUSR2.
	* ddrescue.texinfo: Improved description of "-d", "-D" and "-S".
	* ddrescue.texinfo: Improved description of algorithm.
	* testsuite/check.sh: Verify that files are open in binary mode.
	* Added logfile usage warning to "ddrescue --help" output.

2009-02-19  Antonio Diaz Diaz  <ant_diaz@teleline.es>

	* Version 1.10 released.
	* Added new option "--try-again".
	* rescuebook.cc: "skip_size" has been made independent of "softbs".
	* "change_chunk_status" is now faster for large logfiles.
	* Fixed overflow when reading from devices of undefined size.
	* Block does no more admit negative sizes.
	* "make install-info" should now work on Debian and OS X.
	* New file testsuite/check.sh.

2008-11-17  Antonio Diaz Diaz  <ant_diaz@teleline.es>

	* Version 1.9 released.
	* Added new option "--domain-logfile".
	* Verbosity control of messages has been simplified.
	* Changed LONG_LONG_MAX to LLONG_MAX.

Comment 2 acount closed by user 2010-06-16 11:53:11 UTC
ping!

Comment 3 Upstream Release Monitoring 2010-08-29 10:08:05 UTC
Latest upstream release: 1.13
Current version in Fedora Rawhide: 1.8
URL: http://ftp.gnu.org/gnu/ddrescue/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 4 Upstream Release Monitoring 2011-01-14 05:27:19 UTC
Latest upstream release: 1.14
Current version in Fedora Rawhide: 1.13
URL: http://ftp.gnu.org/gnu/ddrescue/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Account closed by user 2011-02-10 14:45:05 UTC
Changes in version 1.14:

The new option "-R, --reverse", which reverses direction of copy
operations, has been added.

The new option "-E, --max-error-rate", which stops ddrescue when the
error size grows too fast (in Bytes/s), has been added.

The syntax of option "--max-errors" has been extended to specify new
errors (--max-errors=+N).

The short name of option "--retrim" has been changed to "-M".

A spurious warning about "preallocation not available" has been fixed.

Comment 6 Account closed by user 2011-12-05 14:03:06 UTC
ping! rawhide still brings 1.13

Comment 7 Upstream Release Monitoring 2012-01-02 11:27:07 UTC
Latest upstream release: 1.15
Current version in Fedora Rawhide: 1.13
URL: http://ftp.gnu.org/gnu/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 8 Account closed by user 2012-03-15 13:48:38 UTC
Changes in version 1.15:

The new option "-a, --min-read-rate" has been added.

The new option "-I, --verify-input-size" has been added.

The new option "-x, --extend-outfile" has been added.

Ddrescue now verifies that infile, outfile and logfile are all
different.

Non-tried blocks are now read aligned to cluster-size sectors.

The "split or skip" algorithm of the split pass has been improved.

A spurious warning about "-D" being ignored in fill mode has been
removed.

Ddrescuelog, a tool for manipulation, display, conversion, comparison
and testing of ddrescue logfiles, has been added.

Comment 9 Michal Ambroz 2012-05-12 17:29:08 UTC
Hello guys,
please could you consider upgrading ddrescue to the upstream version?
Or you can approve me as co-maintainer and I will do the update in the git.

http://rebus.fedorapeople.org/SPECS/ddrescue.spec
http://rebus.fedorapeople.org/SOURCES/ddrescue-1.15-testsuite.patch
http://rebus.fedorapeople.org/SRPMS/ddrescue-1.15-1.fc17.src.rpm

Best regards
Michal Ambroz

Comment 10 Account closed by user 2012-05-12 18:32:32 UTC
(In reply to comment #9)

> Hello guys,
> please could you consider upgrading ddrescue to the upstream version?
> Or you can approve me as co-maintainer and I will do the update in the git.

hi Michal,

maybe you also are interested in dd_rescue, another flavor of the same tool. Also "orphan": https://bugzilla.redhat.com/show_bug.cgi?id=807220

regards,

Comment 11 Susi Lehtola 2012-05-13 00:21:41 UTC
The maintainer seems to be quite unresponsive. IIRC I did the 1.13 update to address a long-standing FTBFS issue.

Please start

http://fedoraproject.org/wiki/Package_maintainer_policy#What_to_do_if_a_maintainer_is_absent

Comment 12 Michal Ambroz 2012-05-20 22:39:40 UTC
Hello Andreas,
do you still aim to maintain the ddrescue package?

Comment 13 Upstream Release Monitoring 2012-06-12 12:19:49 UTC
Latest upstream release: 1.16
Current version in Fedora Rawhide: 1.13
URL: http://ftp.gnu.org/gnu/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 14 Account closed by user 2012-06-12 12:28:47 UTC
Changes in version 1.16:

The new option "-K, --skip-size" has been added.

The new option "-T, --timeout", which sets the maximum time allowed
since the last successful read, has been added.

The short name of option "--try-again" has been changed to "-A".

Maximum skip size is now limited to 1% of infile size or 1 GiB
(whichever is smaller), rounded to the next multiple of sector size.

The current position is now set to the end of the block when reading
backwards, allowing perfect resumability also in reverse mode.

The "-E, --max-error-rate" option now checks the rate of actually failed
reads, not the growth of error size, and shows the error rate in the
error message.

The option "-v, --verbose" now increases verbosity if repeated.

Initial skip size is now shown at verbosity level 1 and above.

Most user-defined parameters are now shown at verbosity level 2 and
above.

Verbosity level 2 and above adds two lines of initial status showing
current position, current sector, and size of last block in logfile.

Quote characters in messages have been changed as advised by GNU Coding
Standards.

Configure option "--datadir" has been renamed to "--datarootdir" to
follow GNU Standards.

Comment 15 Michal Ambroz 2012-07-29 11:46:54 UTC
Hello SCM team, 
Based on the approval from the FESco member Bill Nottingham 
http://lists.fedoraproject.org/pipermail/devel/2012-July/170318.html
please can you grant jussilehtola and me rights (commit,approveacls) 
to the ddrescue to be able to comaintain the package?

Package Change Request
======================
Package Name: ddrescue
Owners: ixs jussilehtola rebus

Thank you
Michal Ambroz

Comment 16 Gwyn Ciesla 2012-07-29 18:12:20 UTC
Done.

Comment 17 Fedora Update System 2012-08-02 22:20:03 UTC
ddrescue-1.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ddrescue-1.16-1.fc17

Comment 18 Fedora Update System 2012-08-02 22:20:18 UTC
ddrescue-1.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ddrescue-1.16-1.el6

Comment 19 Fedora Update System 2012-08-02 22:20:27 UTC
ddrescue-1.16-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ddrescue-1.16-1.el5

Comment 20 Fedora Update System 2012-08-02 22:20:38 UTC
ddrescue-1.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ddrescue-1.16-1.fc16

Comment 21 Michal Ambroz 2012-08-02 22:37:08 UTC
Hello SCM team,
it seems based on the previous request I was granted the commit rights (thank you), but I didn't became second owner of the package. I probably was not clear enough in the request.

Please can you set me second owner of the package?

I already went through the procedure to take over the package.
http://fedoraproject.org/wiki/Package_maintainer_policy#What_to_do_if_a_maintainer_is_absent and it was approved by FESco member Bill Nottingham 
http://lists.fedoraproject.org/pipermail/devel/2012-July/170318.html

Best regards
Michal Ambroz

Comment 22 Gwyn Ciesla 2012-08-03 02:46:35 UTC
There isn't such a concept as second owner in pkgdb, simply owner and
comaintainers.

Comment 23 Fedora Update System 2012-08-03 11:24:03 UTC
Package ddrescue-1.16-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ddrescue-1.16-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11431/ddrescue-1.16-1.fc16
then log in and leave karma (feedback).

Comment 24 Fedora Update System 2012-08-20 10:53:23 UTC
ddrescue-1.16-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2012-08-20 10:56:41 UTC
ddrescue-1.16-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2012-08-21 18:39:58 UTC
ddrescue-1.16-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2012-08-21 18:40:13 UTC
ddrescue-1.16-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.